package com.cm.central.control.pojo.dtos.projectleader;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ProjectLeaderDTO
 * @Description: 项目负责人
 * @Author: WenG
 * @Date: 2020-07-30 19:04
 * @Version: 1.0
 **/
@ApiModel
public class ClientProjectLeaderDTO extends ProjectLeaderDTO {

    @ApiModelProperty(name = "clientName", value = "名称")
    private String clientName;
    @ApiModelProperty(name = "customerName", value = "客户名称")
    private String customerName;
    @ApiModelProperty(name = "serverIp", value = "服务器地址")
    private String serverIp;

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getCustomerName() {
        return customerName == null ? "" : customerName.trim();
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getServerIp() {
        return serverIp == null ? "" : serverIp.trim();
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"clientName\":")
                .append("\"").append(clientName).append("\"");
        sb.append(",\"customerName\":")
                .append("\"").append(customerName).append("\"");
        sb.append(",\"serverIp\":")
                .append("\"").append(serverIp).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
